/*
    CTHUGHA-L 							cthugha.h
	
    General definitions for everyone.
*/

#ifndef __CTHUGHA_H__
#define __CTHUGHA_H__

#define CTHUGHA_VERSION			70

#define BETA
#undef DEBUG 

extern int cthugha_pause;
extern int cthugha_verbose;
extern int cthugha_finish;

#ifdef CTH_X11
#include <X11/Intrinsic.h>
extern Display * cth_display;			/* X11 display */

#ifdef CTH_SS
extern GC cth_gc;
extern Window  cth_saver;
extern int  scr_wid, scr_hei;
extern Colormap cth_cmap;
#else
#include "libsx.h"
#endif

#endif

int init_cthugha(int argc, char ** argv);
int exit_cthugha(int );
void pause_for_key();

#define printfv(args...)   if(cthugha_verbose) printf(## args);fflush(stdout)
/* The SPACE after %s\n" is important !!! */
#define printfee(fmt, args...)	{					  \
   printf("\n"); fflush(stdout);					  \
   fprintf(stderr, fmt " (%d - %s)\n" , ## args, errno, strerror(errno)); \
   fflush(stderr);                                                        \
}
#define printfe(fmt, args...)	{					  \
   printf("\n"); fflush(stdout);					  \
   fprintf(stderr, fmt, ## args);					  \
   fflush(stderr);                                                        \
}


static inline int max(int a, int b) {
    return (a < b) ? b : a;
}
static inline int min(int a, int b) {
    return (a < b) ? a : b;
}	


#endif





